#include<bits/stdc++.h>
#pragma GCC optimize ("O3")
#define endl '\n'
using namespace std;
long long x[1000000], y[1000000];
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long i,j,n,sumx=0,sumy=0, rez=0,pr=0,cur=0;

    cin>>n;

    for(i=0;i<n;i++)
    {
        cin>>x[i]>>y[i];

        for(j=i-1;j>=0;j--)
        {
            rez+=(x[i]-x[j])*(x[i]-x[j])+(y[i]-y[j])*(y[i]-y[j]);
        }

    }
        cout<<rez<<endl;

}


